Subject: Linux-Activists Digest #272
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Wed, 29 Sep 93 03:13:14 EDT

Linux-Activists Digest #272, Volume #6           Wed, 29 Sep 93 03:13:14 EDT

Contents:
  Re: SoftLanding Message (Mark A. Horton)
  Re: WordProcessor (~=TEX) for Linux (R. Stewart Ellis)
  Re: term? (R. Stewart Ellis)
  [Q]'s Gateway/1542/Linux/Tamu problems ? ([email-masked])
  Re: Bootdisk made by SLS install hangs during boot (robert balkenhol)
  Re: lpc couldn't start lpd daemon (Eric Sulzner)
  Booting probs with SLS 0.99 (Kevin Matassa)
  Backing up my Linux FS to (John Will)
  Memory and swap errors on (John Will)
  Re: Trantor support in Linux (bryan k williams)
  newbie advice needed ([email-masked])
  Re: term? (Craig Ashcroft  Willmott)
  Re: I need a Xserver and Xconfig for ATI Graphics Ultra Plus (Thilo Jahke)
  Re: How does Linux compare to SUN IPC? (Jacques Gelinas)

----------------------------------------------------------------------------

From: [email-masked] (Mark A. Horton)
Subject: Re: SoftLanding Message
Date: 28 Sep 1993 18:16:58 -0700

Brett Michaels ([email-masked]) wrote:
: Thanks for the help.  The file /etc/issue contains this message.  You can
: edit it or remove to your liking.  

: Anyone know whta program/script calls displays this file?
        getty.
        you can control it - read the serial.FAQ for all the details
        - mark
--
Mark A. Horton                          [email-masked] (or here) 
P.O.Box 747 Decatur GA US 30031-0747      ICBM: 33 45 N / 084 16 W
+1.404.371.0291                         Cruise: 33 45 30 N / 084 16 50 W

   "We may note that, for the purposes of these experiments, the symbol 
                "=" has the meaning "may be confused with."  

------------------------------

From: [email-masked] (R. Stewart Ellis)
Subject: Re: WordProcessor (~=TEX) for Linux
Date: 29 Sep 93 01:27:23 GMT

[email-masked] (Mark A. Davis) writes:

>[email-masked] writes:

>>In article <[email-masked]>, [email-masked] (Steef S.G. de Bruijn) writes:
>>> |> a la WordPerfect for Linux. 

>>I think he means Framemaker for Linux, or 'Word for Linux' :-)

>>> Wordperfert sucks (it's no misspell!)

>>Don't u mean worddefect, as its know here. We have it one the Vomit Making
>>System.

>Kindly keep your personal and unproductive comments to your self.  We find
>the software to be extremely productive, flexible, cost effective, and
>open.  Perhaps you two should tell us which wordprocessors you use and like
>so others can say yours suck.  

>Also, perhaps you should enlighten us as
>to a better wordprocessing system under Unix?  Framemaker isn't bad, but
>TERRIBLY expensive.

Starting with the recognition that WP is available on the widest range of
systems, which gives it a tremendous headstart, it has a number of serious
problems.  I have seen signed postings from a guy who used truss on SVR4 to
observe wp opening a config file 500 times while it was starting up.  This
is consistent with the startup speed under X.  Also WP fails totally to
understand how X and UNIX printspooling are supposed to work.  If you bring
up a dialog box on the X version and then dismiss the box, it repaints the
entire screen a couple of times rather than restoring the save-under
region.  This is a dismal failure and really gets in the way of trying to
use it.  Three of us here with a total of over 20 years of UNIX experience
still cannot get WP to print to all of our lpd printers after dozens of
hours of effort.  That has been real productive.  I now have the port on all
my printers set to disk.  At least I can print from the shell after I save
them.

The one thing that makes me support WP is that I can use it over a terminal
and trade docs with the Windoze or DOS or VMeSs users.

-- 
  R.Stewart(Stew) Ellis, Assoc.Prof., (Off)313-762-9765   ___________________
  Humanities & Social Science,  GMI Eng.& Mgmt. Inst.    /   _____  ______ 
  Flint, MI 48504      [email-masked]               /        / /  /  / /
  Gopher,News and sendmail maintainer, all around hack /________/ /  /  / /

------------------------------

From: [email-masked] (R. Stewart Ellis)
Subject: Re: term?
Date: 29 Sep 93 01:39:01 GMT

[email-masked] (Mark A. Horton) writes:

>Timothy Mark Lawless ([email-masked]) wrote:
>: I am real new to linux.. Can anyone tell me what i would use term for?
>: and how to use it.. If all this is in a faq i would be happy to look
>: it up if i knew where it was and what it was..
>: Thanx.
>: Tim.
>       The major sites for "life, the universe, and Linux" are:
>               tsx-11.mit.edu          /pub/linux
>               sunsite.unc.edu         /pub/Linux
>               nic.funet.fi            /pub/OS/Linux

[delete lots]

>       In answer to your specific question, term is a terminal 
>       communications program that is very robust.  For more 

This is like saying a Ferrari is a wagon (they both have wheels and someone
can ride in both).  Term allows you to set up a socket over a modem
connection that looks like the sockets that allow all sorts of network stuff
to take place such as telnet, nntp,ftp, irc, and even X (tcp services but
not udp services, so no NFS or talk).

Also like a Ferrari, it is very powerful but occasionally kinda cranky.  I
would not characterize it as robust.  I use it several hours a day.  I now
have 4 xterms on my home machine (a SPARC) displaying stuff running on the
Sun server at school.

>       standard terminal emulation I enjoy using minicom (currently
>       version 1.4g)  It is very complete, compiled clean first shot,
>       installed like a breeze, and is very well documented.  
>       -- Mark

-- 
  R.Stewart(Stew) Ellis, Assoc.Prof., (Off)313-762-9765   ___________________
  Humanities & Social Science,  GMI Eng.& Mgmt. Inst.    /   _____  ______ 
  Flint, MI 48504      [email-masked]               /        / /  /  / /
  Gopher,News and sendmail maintainer, all around hack /________/ /  /  / /

------------------------------

From: [email-masked]
Crossposted-To: alt.sys.pc-clone.gateway2000
Subject: [Q]'s Gateway/1542/Linux/Tamu problems ?
Date: 29 Sep 1993 02:01:12 GMT

Hi, ia have a couple of questions on the following config:

PC: Gateway 3SX-33 (386-33) 4MB RAM
    Adaptec 1542 
    1 SCSI Drive

OS: LINUX: TAMU.99p12 release 

Partitions: 1=DOS; 2=Swapfile (type 82); 3=Linux ext2fs (type 83)

1)  What is the proper device configuration for the "PS/2" style
    microsoft mouse that comes with the Gateway for X ? 
    I used the following lines in my Xconfig file

      ps/2    "/dev/psaux"  
      emulate3botton

    despite these settings, I get no mouse activity.. (frozen X) :( 

    I have also tried a 3 button logitech serial using /dev/ttys0.
    this results in a pointer locking up in the upper left corner 
    of the screen.  Arrg 
    
2)  [TAMU]: Where is the "mouse" utility advertized to be in 
    /usr/X386/lib/X11/etc/v1.1/tst/mouse ??? Unless the Installation
    guide is wrong, I did not have such directory ! is there a site that
    carries this utility ?

3)  I have installed bootactv and LILO on the system and I cannot boot from
    the harddisk.  LILO is installed on partition 3 (/dev/sda3 ext2fs) 
    
    When booting, the boot [1-4]: prompt says:
    Invalid ! 
    
    when partition 3 is selected.  I have tried different combinations
    of partitions, and can't seem to get around this.  The only way I can
    boot is using the disk (LILO) and <Shift>  boot:harddisk root=/dev/sda3 
    Suggestions ? 

I have been through most FAQ's I could find, and the is not much
on TAMU specific problems. (I whish there was :) I also saw a few
people having boot problems with 1542, but their problems seemed different.

Thanks (in advance)
Maurice De Vidts, NE3S 
[email-masked]

------------------------------

From: rbalkenh@sookit (robert balkenhol)
Crossposted-To: comp.os.linux.misc,comp.os.linux.help,comp.os.linux.admin
Subject: Re: Bootdisk made by SLS install hangs during boot
Date: 29 Sep 1993 03:00:58 GMT
Reply-To: [email-masked]

Laurent Duperval ([email-masked]) wrote:
: [email-masked] wrote:

: -> In article <cornell.747335005@texas> [email-masked] writes:
: -> >SLS version: 1.03
: -> >Machine1: NEC Powermate 386
: -> >Machine2: Amax PC/386
: -> >
: -> >I've installed the SLS v.1.03 release on three machines.  The two
: -> >listed above had the same trouble after installing, making a
: -> >bootdisk, and trying to boot from that bootdisk. 

: -> I have the same problems on 3 machines (2*486 and 1*386) when I 
: -> tried to boot from the original 3,5" bootdisk in driva A. The 
: -> loading stops after the message "Detecting soundcard: AdLib 
: -> (type 3)". I have no soundcards installed.

: I had the same problem.  I circumvented (sp?) it by booting at low speed.  It
: worked fine then, but I can't explain it.  After I installed everything and
: had my own boot floppy, I was again able to boot at high speed.  Go figure.

I too had a problem on two machines dying at the adlib sound card message.
One was an AST 486 with all of the standard I/O on the mother board plus a
novell ne2000 card. The other was a no-name black box 40 mhz 386 with an
adaptec scsi card and a _novell_ne200_card_. NONE of the adresses or irq's
appeared to conflict. I solved my problem by changeing the novell card to
use 300h and irq5, (supposedly a non-standard setting, but it works).
The troubleshooting was vexing..different kernels..6 mchines...differnent
versions...screw with the hardware jumpers...sleep at last!
--
*************************** 
Robert Balkenhol 
Jet Propulsion Laboratory
Disclaimer:ispeakforonlyme!

------------------------------

From: [email-masked] (Eric Sulzner)
Crossposted-To: comp.os.linux.help
Subject: Re: lpc couldn't start lpd daemon
Date: 29 Sep 1993 02:59:01 GMT

In article <[email-masked]>
        [email-masked] (Ransel Yoho) writes:

I solved this by running two xterms, in one strace -f lpd (kill the old
lpd first), in the other strace -f something that doesn't work (lpr
filename, or lpc start lp).  One of the windows (I think the lpd one)
got an error when it tried to do an operation on /dev/lp, which was a
directory.  I removed it and made a link from lp to lp1.  Now it works.

FAQ?  I've answered this a few times.  Your mileage may vary.  Use
strace -f if it does.

I'm running the slackware thaT looks like this:
# uname -a
Linux darkstar 0.99.12 #6 Sun Aug 8 16:02:35 CDT 1993 i486

   I'm having trouble with lpr from the linux:.99pl12.  The following commands
   show my configuration of lpd and the errors, each command is preceded by [#]:

   [1]$ cat /etc/printcap
   lp|laser|HPlaser in Library:\
           :lp=/dev/ttyS1:sd=/usr/spool/laser:br#9600:\
           :pl#66:pw#96:sh:lf=/usr/adm/lpd-errs:fs#021:fc#0300:

   [2]$ ls  -l /usr/spool/laser/*
   -rw-r--r--   1 root     daemon          3 Sep 27 14:11 /usr/spool/laser/lock
   -rw-r--r--   1 root     daemon          0 Sep 24 07:48 /usr/spool/laser/status

   [3]$ grep lp rc rc.local
   rc.local:/etc/lpd &

   [4]$ ps -aux | grep lpd
   root         37  0.0  7.0   68  212  ? S    14:11   0:00 /etc/lpd

   [5]$ ls /bin | lpr -P laser
   [6]$ lpq
   Warning: no daemon present
   Rank   Owner      Job  Files                                 Total Size
   1st    ransel     10   (standard input)                      629 bytes

   [7]$ ls -l /usr/spool/laser/*
   -rw-rw----   1 daemon   daemon  70   Sep 27 14:54 /usr/spool/laser/cfA010jigger
   -rw-rw----   1 ransel   daemon  629  Sep 27 14:54 /usr/spool/laser/dfA010jigger
   -rw-r--r--   1 root     daemon  4    Sep 27 14:54 /usr/spool/laser/lock
   -rw-r--r--   1 root     daemon  0    Sep 24 07:48 /usr/spool/laser/status

   [8]$ lpc
   lpc> start laser
   laser:
           printing enabled
   lpc: connect: No such file or directory
           couldn't start daemon
   lpc> 

   [9]$ ls -l /etc/lpd /usr/bin/lpc /usr/bin/lpr /usr/bin/lpq /usr/etc/lpd
   lrwxrwxrwx   1 root     root           12 Sep 24 08:45 /etc/lpd -> /usr/etc/lpd
   -r-xr-xr-x   1 root     root        21508 Aug 12 21:06 /usr/bin/lpc
   -r-sr-sr-x   1 daemon   daemon      12328 Aug 12 20:58 /usr/bin/lpq
   -r-sr-sr-x   1 root     daemon      14048 Aug 12 20:58 /usr/bin/lpr
   -r-sr-x---   1 daemon   daemon      39696 Aug 12 16:44 /usr/etc/lpd

   TCP/IP stuff on this old 386sx machine works fine, it has a 3C503 etherlink II
   card; telnet, ftp, & rlogin all work fine.  The requests get spooled, but
   a daemon does not get spawned to print the file.

   Please advise!!!

   Thanks,
           Ransel               ([email-masked])
--
Eric Sulzner    [email-masked]
disclaimer -> I am not speaking for Intel.

------------------------------

From: [email-masked] (Kevin Matassa)
Subject: Booting probs with SLS 0.99
Reply-To: [email-masked] (Kevin Matassa)
Date: Wed, 29 Sep 1993 03:14:59 GMT

I have:
        - 33 MHZ TI 486 DLC with math copro
        - 4 MG RAM
        - UN-1072 I/O Card (Serial,parallel,game,hard disk, floppy)
        - Cirrus 1MG SVGA Card
        - 2 floppies
        - CrossLink Fax/Modem
        - 170 Quantum Disk

My problem:

        On booting from the boot floppy I select the ramdisk option
from LILO.  It goes on identifying my hardware and then states that
INIT: Version 2.0 is booting.  The boot at this point hangs.

There is local echo on the console, and my function keys for virtual
terminals seem to work, but I do not get the SLS login prompt

Help ?
Thanks in advance
-- 
// Kevin Matassa
// [email-masked]
// Ottawa, Ont, Canada

------------------------------

From: [email-masked] (John Will)
Subject: Backing up my Linux FS to
Date: 29 Sep 93 00:02:00 GMT

G >Is there another
G >way of baucking up my Linux system.  To floppy?  I don't have a tape
G >drive.  I know tar will do it, but I'd like to have something that is
G >automated.

Automated?  You mean you want something else to put the floppies in?
GNU tar is supposed to handle multi-volume archives, so it's as automatic
as it gets, but you'll still have to stuff floppies...

------------------------------

From: [email-masked] (John Will)
Subject: Memory and swap errors on
Date: 29 Sep 93 00:06:00 GMT

CM>"bad page table [00cf902c]=00000400"
CM>
CM>"NMI received.  Dazed and confused, but trying to continue."    
CM>
CM>These errors have been received durring various tasks.  I loged in last
CM>night, and left it on.  When I woke, I had a few of these errors on
CM>the screen, and the VC was locked up.

Certainly sounds like memory problems to me, try removing 4mb of RAM and
running with the 16mb and see if you still have a problem.  I'd say you
have memory problems...

------------------------------

From: [email-masked] (bryan k williams)
Subject: Re: Trantor support in Linux
Date: Wed, 29 Sep 1993 05:26:43 GMT

Is there anyone out there who has actually gotten the trantor SCSI alpha
code for the T128 controller to work? I got the patch, with no more 
instructions than to extract to the src directory, do the patch, and
recompile the kernel, all steps are done and I can verify the new code gets
compiled, AND I forced the code to look for my board at $CC000 and expect
no IRQ. BUT although this is done I get no recognition of the SCSI card. 
I assume that including the generic SCSI in addition to the T128 Alpha 
code is ok or needed (seems like there is a high-level driver on top
of hardware-specific ones?)...
 
Anybody got help?  If I get strange messages regarding the success of 
individual patches, what should I make of them?
 
Also: I compiled it into 0.99 pl 12.
(slackware)

------------------------------

From: [email-masked]
Subject: newbie advice needed
Reply-To: [email-masked]
Date: Wed, 29 Sep 1993 05:11:07 GMT

Hello!
I am thinking of trying out Linux on my PC (386DX/33 - 4 MB RAM) on the
second hard drive (100MB).  I would also like to try X-Windows.
I need advice on how to install Linux (basically), and I also need a
hand finding X-Windows - is it, or a clone of it, available through
ftp?  Where is the best site for Linux software distribution?
I really need a hand here, as I really want to run this stuff...

Thanks a lot in advance to anyone who helps me out here...

[email-masked]     Jeff Oliver
                       Trent University
                       Peterborough, Ont.
                       Great White North, eh

------------------------------

From: [email-masked] (Craig Ashcroft  Willmott       )
Subject: Re: term?
Date: Wed, 29 Sep 1993 05:16:18 GMT

In <ellis.749266741@nova> [email-masked] (R. Stewart Ellis) writes:

>This is like saying a Ferrari is a wagon (they both have wheels and someone
>can ride in both).  Term allows you to set up a socket over a modem
>connection that looks like the sockets that allow all sorts of network stuff
>to take place such as telnet, nntp,ftp, irc, and even X (tcp services but
>not udp services, so no NFS or talk).

>Also like a Ferrari, it is very powerful but occasionally kinda cranky.  I
>would not characterize it as robust.  I use it several hours a day.  I now
>have 4 xterms on my home machine (a SPARC) displaying stuff running on the
>Sun server at school.

I'm also a newcomer to the Linux world, I've had it installed for five
days now, and a lot of that has been spent on Kermit and term.
What I want to do is attach a socket at uni to a socket on linux, or
more specifically, to a login prompt.

I've got term going fine, so that I can trsh back and forth. Then I tried
to use tredir to connect the sockets setup. So from uni I did
        tredir 12345 23
thinking that this should attach the remote port 12345 to my telnet
port. Also I tried 12345 by itself, hoping it would just create a login.
When trying to connect from uni, (telnet <local> 12345) I get
a connection but then nothing happens. Is there something wrong with
my telnet connection? It works just fine when I telnet localhost 23
from home.
Also, when I trsh back into linux, some characters (in particular line
feeds) don't get through. According to the man, I can set up my
~.term/termrc file to escape these characters. How do you do that?
Is termrc executed before an rsh is set up or what?
Also, after I run tredir, my trsh dies (freezes). Is this supposed
to happen?

Yours, in an effort to avoid suid trshs,
Craig.

----
"I had a bad day...I had to subvert my principles and kowtow to an idiot.
Television makes these daily sacrifices possible ... deadens the inner core
of my being."                                                   _Trust_

------------------------------

From: [email-masked] (Thilo Jahke)
Subject: Re: I need a Xserver and Xconfig for ATI Graphics Ultra Plus
Date: Mon, 27 Sep 1993 07:32:16 GMT

Tony Cifelli ([email-masked]) wrote:

: Thanks to those who have helped so far.

: Still no luck.  I want to get something to download or ftp at best.
: I've heard that people are having trouble re-compiling the Xserver.
: I would like to avoid that if possible.

: Does anyone out there actually have Linux working with the
: ATI Graphics Ultra Plus?  Regardless of whether it takes full
: advantage of the hardware support it offers.

It's workinh very nice using the X8514-version which can be found
on tsx-11 or sunsite

Look in directoy X11/X-servers (or similar)

Thilo
-- 
        +--------------------------------------------+
       /  Thilo Jahke, Private Linux Site, Germany  /
      /       EMail: [email-masked]     /
     +--------------------------------------------+

------------------------------

From: [email-masked] (Jacques Gelinas)
Subject: Re: How does Linux compare to SUN IPC?
Date: Wed, 29 Sep 93 05:01:17 GMT

[email-masked] (Rick Slater) writes:

>[email-masked] (Dhaliwal Bikram Singh) writes:

>|> It has seemed to me that my Linux system at home (X and GCC running in
>|> a 15mb partition, on a 386-40, with room to spare) is faster than the
>|> SUN IPC workstations I use at school.  I can only offer subjective 
>|> speculation though, ie. time for a xterm to open, etc... 
>|> 
>|> I was wondering, if anyone has done benchmarks between the two for
>|> various processors.  I am not saying that Linux is better, it still
>|> has a ways to go before it can match the all around appeal of the SUN.
>|> 

>I've run several "benchmarks" on both a 486DX-33 and a Sun IPC with the
>overall result that the PC was in the same ballpark as the Sun.  The
>benchmarks were:  Drystone test, whetstone test, and a large TeX file
>that came with the SLS distribution (gentle.tex).  The PC went from
>a .tex file to a .dvi file, using the same version of tex, in a little
>more than half the time that it took the Sun.  OTOH, the Sun was slightly
>faster on the first two tests.

Those benchmark are funny. I think they highly depend on the
application used.

Those who compare Usenet news unpacking will
have a winner with linux. SUNOS is does synchronous file
creation, not linux. This means that if you creat a large number
of files, linux will goes faster than sunos, which sync the directory
to disk for each new file. SUNOS will be more reliable however.
Off course, this is apple and banana.

One real life test I am doing often is zip and gzip of large
file. The ELC (33 mhz sparc) is about twice as fast as a 486dx33
(both with 16 megs ram). gzip is 30% faster on the Sparc.

On a 486 66, zip is about the same speed, but it seem that SUNOS
I/O (SCSI) is faster than IDE I/O on Linux. Much faster, so to
crunch about 40 megs of DOS .obj file is 50 % faster on a Sparc ELC
than the 486 66.

Again, I guess it hardly depend of the type of the application
you are using.

One thing that really suprise me, it that people are getting
better benchmark on Linux for floatting point. This is difficult
to believe. Linux as little to do here. A 486 is not a screamer
for floatting point ... by far. Benchmark publish by Unix Review
show that a Sparc Classic outperform a 486 50 everywhere by almost
2 except on some integer test where the sparc was sligtly
slower. For disk I/O, the Sparc was much faster. They used a High end
486 50 PC with retail for about the same price as the Sparc.

Just more confusion I guess!

-- 

========================================================
Jacques Gelinas ([email-masked])
Maintainer of US4BINR [email-masked]

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    tupac-amaru.informatik.rwth-aachen.de	pub/msdos/replace

The current version of Linux is 0.99pl9 released on April 23, 1993

End of Linux-Activists Digest
******************************